org.eclipse.viatra.dse.evolutionary

## Class EvolutionaryStrategyLogAdapter

- java.lang.Object
- - org.eclipse.viatra.dse.evolutionary.EvolutionaryStrategyLogAdapter

- All Implemented Interfaces:
    IEvolutionaryStrategyAdapter

      public class EvolutionaryStrategyLogAdapter
      extends java.lang.Object
      implements IEvolutionaryStrategyAdapter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CsvFile` | `csv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvolutionaryStrategyLogAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConfigId()`
    `CsvFile` | `getCsvFile()`
    `int` | `getRunId()`
    `void` | `init(ThreadContext context)`
    `void` | `iterationCompleted(java.util.List<TrajectoryFitness> currentPopulation, java.util.List<? extends java.util.List<TrajectoryFitness>> frontsOfCurrentPopulation, java.util.List<TrajectoryFitness> survivedPopulation, boolean stop)`
    `void` | `setConfigId(int configId)`
    `void` | `setCsvFileName(java.lang.String fileName)`
    `void` | `setCsvFileName(java.lang.String basePath, java.lang.String fileName)`
    `void` | `setRunId(int runId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### csv

          protected CsvFile csv

  - ### Constructor Detail

    - #### EvolutionaryStrategyLogAdapter

          public EvolutionaryStrategyLogAdapter()

  - ### Method Detail

    - #### init

          public void init(ThreadContext context)

      Specified by:
        `init` in interface `IEvolutionaryStrategyAdapter`

    - #### iterationCompleted

          public void iterationCompleted(java.util.List<TrajectoryFitness> currentPopulation,
                                         java.util.List<? extends java.util.List<TrajectoryFitness>> frontsOfCurrentPopulation,
                                         java.util.List<TrajectoryFitness> survivedPopulation,
                                         boolean stop)

      Specified by:
        `iterationCompleted` in interface `IEvolutionaryStrategyAdapter`

    - #### getCsvFile

          public CsvFile getCsvFile()

    - #### setCsvFileName

          public void setCsvFileName(java.lang.String fileName)

    - #### setCsvFileName

          public void setCsvFileName(java.lang.String basePath,
                                     java.lang.String fileName)

    - #### getConfigId

          public int getConfigId()

    - #### setConfigId

          public void setConfigId(int configId)

    - #### getRunId

          public int getRunId()

    - #### setRunId

          public void setRunId(int runId)